#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#ifndef LISTINO
#define LISTINO

#define MAX 25

typedef struct ingrediente 
{
	char nome[MAX];
	float prezzo;
} Ingrediente;


typedef struct item_struct
{
	Ingrediente value;
	struct item_struct *next;
} item;

typedef item *list;



list leggiIngredienti(char *filename);
int scriviIngredienti(char *filename, list l);
float trovaPrezzo(char *nome, list l);
list aggiornaPrezzo(list l, char *nome, float nuovoPrezzo);

list emptyList();
int isEmpty(list l);
list cons(Ingrediente newValue, list l);
Ingrediente head(list l);
list tail(list l);


#endif