#include "pizza.h"




Pizza leggiPizza(FILE *fp)
{
	Pizza result;

	if (!feof(fp))
	{
		fread(&result, sizeof(Pizza), 1, fp);
	}
	return result;
}

float calcolaPrezzo(Pizza p, list l)
{
	int i;
	float result = 0;
	float temp;

	for (i = 0; i < p.numeroIngredienti; i++)
	{
		temp = trovaPrezzo(p.topping[i].nome, l);
		if (temp < 0)
		{
			return -1;
		}
		result = result + temp;
	}
	return result;
}


void scriviPizza()
{
	FILE *fp;
	Pizza temp;
	int num = 4;

	fp = fopen("ordini.bin", "wb");

	fwrite(&num, sizeof(int), 1, fp);

	strcpy(temp.nomeCliente, "Federico Chesani");
	strcpy(temp.topping[0].nome, "quattro_formaggi");
	strcpy(temp.topping[1].nome, "salame_piccante");
	temp.numeroIngredienti = 2;
	fwrite(&temp, sizeof(Pizza), 1, fp);

	strcpy(temp.nomeCliente, "Marco Montali");
	strcpy(temp.topping[0].nome, "margherita");
	strcpy(temp.topping[1].nome, "funghi");
	strcpy(temp.topping[2].nome, "prosciutto_cotto");
	temp.numeroIngredienti = 3;
	fwrite(&temp, sizeof(Pizza), 1, fp);

	strcpy(temp.nomeCliente, "Gabriele Zannoni");
	strcpy(temp.topping[0].nome, "margherita");
	strcpy(temp.topping[1].nome, "prosciutto_crudo");
	temp.numeroIngredienti = 2;
	fwrite(&temp, sizeof(Pizza), 1, fp);

	strcpy(temp.nomeCliente, "Federico Chesani");
	strcpy(temp.topping[0].nome, "margherita");
	strcpy(temp.topping[1].nome, "salsiccia");
	temp.numeroIngredienti = 2;
	fwrite(&temp, sizeof(Pizza), 1, fp);

	fclose(fp);
}